Loading...
Searching...
No Matches
devsettings::Zeroconf Interface Reference

Zero-config service settings interface. More...

`import "Zeroconf.idl";`

## Classes

struct | Settings
| Zero-configservice settings. More...
struct | SettingsChangedEvent

## Public Member Functions

Settings | getSettings ()
| Retrieve the service settings.
void | setSettings (in Settings settings)
| Set the service settings.

## Detailed Description

Zero-config service settings interface.

Definition at line 13 of file Zeroconf.idl.

## Member Function Documentation

## getSettings()

Settings devsettings::Zeroconf::getSettings | ( |  | ) |

Retrieve the service settings.

Returns
  Zero-config service settings

## setSettings()

void devsettings::Zeroconf::setSettings | ( | in Settings | settings | ) |

Set the service settings.

Parameters

  settings | New settings

The documentation for this interface was generated from the following file:

- Zeroconf.idl